mav_initialise(3)

NAME
mav_initialise - Initialise Maverik.

LEVEL
Maverik Level 1

SYNTAX
void mav_initialise(int *argc, char *argv[]);

void mav_initialiseNoArgs(void);

DESCRIPTION
These functions are used to initialise Maverik and one of them must be the first Maverik function called by an application.

Calling either function initialises the kernel and then does one of two things. Either it reads from file .MavModules the function names to call to initialise any supporting modules, or, if this file is not present, it initialises the standard set of supporting modules that ship with the Maverik distribution.

The .MavModules files is searched for in the local directory and the ${MAV_HOME} directory in that order.

There are a number of ways of defining the various options that control the initialisation process, see the MPG for a full description of these.

These function can also be spelt with a z for our American friends.